#include "deftype.h"
#include <string.h>

static unchar *errs[]={
/* ?? */	 "未知のエラーです"
/* -1 */	,"[ に対応する ] がありません"
/* -2 */	,") に対応する ( がありません"
/* -3 */	,"( に対応する ) がありません"
/* -4 */	,"パターンが長すぎます"
/* -5 */	,"\\ の後ろに文字がありません"
/* -6 */	,"\\x の後ろに１６進数がありません"
/* -7 */	,"メモリー不足です"
/* -8 */	,"正規表現がありません"
};
#define	ERMAX	(sizeof(errs)/sizeof(unchar *))

unchar	*GrepErr(int ret)
// InitGrepのエラーコードに対応したエラーメッセージを返す
{
static unchar emes[96];
int fmacro=0;
	ret=-ret;
	if (ret>=100) {fmacro=1; ret-=100;}
	if (ret>=ERMAX) ret=0; // 未定義のエラー
	strcpy(emes,errs[ret]);
	if (fmacro) strcat(emes,"(ﾏｸﾛ)");
	return(emes);
}
